local Talented = Talented

StaticPopupDialogs["CONFIRM_REMOVE_GLYPH"].OnAccept = function(self)
	local TalentedGlyphs = TalentedGlyphs
	if TalentedGlyphs and TalentedGlyphs.group == GetActiveTalentGroup() then
		RemoveGlyphFromSocket(self.data)
	end
end

function Talented:OpenGlyphFrame()
	local f = self:MakeGlyphFrame(UIParent)
	local t = UISpecialFrames
	t[#t + 1] = f:GetName()
	local g = self.db.profile.glyphpos
	if g then
		f:SetPoint(g.anchor, UIParent, g.anchorTo, g.offsetx, g.offsety)
	else
		f:SetPoint("CENTER", UIParent)
	end
	
	f:Update()
	f:Show()
	
	self.glyphs = f
	self.MakeGlyphFrame = nil
	self.OpenGlyphFrame = function (self)
		local f = self.glyphs
		f:Update()
		f:Show()
	end
end

function Talented:ToggleGlyphFrame()
	local f = self.glyphs
	if not f then
		self:OpenGlyphFrame()
	elseif f:IsShown() then
		f:Hide()
	else
		f:Show()
	end
end

function Talented:USE_GLYPH()
	self:OpenGlyphFrame()
end

function Talented:SaveGlyphFramePosition()
	local anchor, _, anchorTo, offsetx, offsety = self.glyphs:GetPoint(1)
	local p, _ = self.db.profile
	local g = p.glyphpos
	if not g then
		g = {}
		p.glyphpos = g
	end
	g.anchor, _, g.anchorTo, g.offsetx, g.offsety = self.glyphs:GetPoint(1)
end